- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# net_lldp – Manage LLDP service configuration on network devices

New in version 2.4.

- DEPRECATED
- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.13
Why: | Updated modules released with more functionality
Alternative: | Use platform-specific “[netos]_lldp_global” module

## Synopsis

- This module provides declarative management of LLDP service configuration on network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
state - | Choices: present ← absent | State of the LLDP service configuration.

## Notes

Note

- This module is supported on `ansible_network_os` network platforms. See the Network Platform Options for details.

## Examples

    - name: Enable LLDP service
      net_lldp:
        state: present

    - name: Disable LLDP service
      net_lldp:
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always, except for the platforms that use Netconf transport to manage the device. | The list of configuration mode commands to send to the device Sample: ['set service lldp']

## Status

- This module will be removed in version 2.13. [deprecated]
- For more information see DEPRECATED.

### Authors

- Ricardo Carrillo Cruz (@rcarrillocruz)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.